"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OmitDto = exports.PickDto = void 0;
const decoratorManager_1 = require("../common/decoratorManager");
const constant_1 = require("../constant");
function PickDto(dto, keys) {
    const pickedDto = function () { };
    pickedDto.prototype = dto.prototype;
    const fatherRule = (0, decoratorManager_1.getClassExtendedMetadata)(constant_1.RULES_KEY, dto);
    const pickedRule = {};
    for (const key of keys) {
        if (fatherRule[key]) {
            pickedRule[key] = fatherRule[key];
        }
    }
    (0, decoratorManager_1.saveClassMetadata)(constant_1.RULES_KEY, pickedRule, pickedDto);
    return pickedDto;
}
exports.PickDto = PickDto;
function OmitDto(dto, keys) {
    const pickedDto = function () { };
    pickedDto.prototype = dto.prototype;
    const fatherRule = (0, decoratorManager_1.getClassExtendedMetadata)(constant_1.RULES_KEY, dto);
    const pickedRule = Object.assign({}, fatherRule);
    for (const key of keys) {
        delete pickedRule[key];
    }
    (0, decoratorManager_1.saveClassMetadata)(constant_1.RULES_KEY, pickedRule, pickedDto);
    return pickedDto;
}
exports.OmitDto = OmitDto;
//# sourceMappingURL=dtoHelper.js.map